
package cz.moneta.test.dsl.cebia.schemas.iva.service;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.moneta.test.dsl.cebia.schemas.iva.service package.
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _WSHeaderType_QNAME = new QName("http://schemas.cebia.com/iva/service/", "WSHeaderType");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.moneta.test.dsl.cebia.schemas.iva.service
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link VehicleIdentification1 }
     * 
     */
    public VehicleIdentification1 createVehicleIdentification1() {
        return new VehicleIdentification1();
    }

    /**
     * Create an instance of {@link WSHeaderType }
     * 
     */
    public WSHeaderType createWSHeaderType() {
        return new WSHeaderType();
    }

    /**
     * Create an instance of {@link VehicleIdentification1Response }
     * 
     */
    public VehicleIdentification1Response createVehicleIdentification1Response() {
        return new VehicleIdentification1Response();
    }

    /**
     * Create an instance of {@link VehicleIdentification2 }
     * 
     */
    public VehicleIdentification2 createVehicleIdentification2() {
        return new VehicleIdentification2();
    }

    /**
     * Create an instance of {@link VehicleIdentification2Response }
     * 
     */
    public VehicleIdentification2Response createVehicleIdentification2Response() {
        return new VehicleIdentification2Response();
    }

    /**
     * Create an instance of {@link VehicleIdentification3 }
     * 
     */
    public VehicleIdentification3 createVehicleIdentification3() {
        return new VehicleIdentification3();
    }

    /**
     * Create an instance of {@link VehicleIdentification3Response }
     * 
     */
    public VehicleIdentification3Response createVehicleIdentification3Response() {
        return new VehicleIdentification3Response();
    }

    /**
     * Create an instance of {@link VehicleDetail1 }
     * 
     */
    public VehicleDetail1 createVehicleDetail1() {
        return new VehicleDetail1();
    }

    /**
     * Create an instance of {@link VehicleDetail1Response }
     * 
     */
    public VehicleDetail1Response createVehicleDetail1Response() {
        return new VehicleDetail1Response();
    }

    /**
     * Create an instance of {@link VehicleDetail2 }
     * 
     */
    public VehicleDetail2 createVehicleDetail2() {
        return new VehicleDetail2();
    }

    /**
     * Create an instance of {@link VehicleDetail2Response }
     * 
     */
    public VehicleDetail2Response createVehicleDetail2Response() {
        return new VehicleDetail2Response();
    }

    /**
     * Create an instance of {@link VehicleValuation }
     * 
     */
    public VehicleValuation createVehicleValuation() {
        return new VehicleValuation();
    }

    /**
     * Create an instance of {@link VehicleValuationResponse }
     * 
     */
    public VehicleValuationResponse createVehicleValuationResponse() {
        return new VehicleValuationResponse();
    }

    /**
     * Create an instance of {@link VehicleValuation2 }
     * 
     */
    public VehicleValuation2 createVehicleValuation2() {
        return new VehicleValuation2();
    }

    /**
     * Create an instance of {@link VehicleValuation2Response }
     * 
     */
    public VehicleValuation2Response createVehicleValuation2Response() {
        return new VehicleValuation2Response();
    }

    /**
     * Create an instance of {@link SearchCriteriaValues }
     * 
     */
    public SearchCriteriaValues createSearchCriteriaValues() {
        return new SearchCriteriaValues();
    }

    /**
     * Create an instance of {@link SearchCriteriaValuesResponse }
     * 
     */
    public SearchCriteriaValuesResponse createSearchCriteriaValuesResponse() {
        return new SearchCriteriaValuesResponse();
    }

    /**
     * Create an instance of {@link Alive }
     * 
     */
    public Alive createAlive() {
        return new Alive();
    }

    /**
     * Create an instance of {@link AliveResponse }
     * 
     */
    public AliveResponse createAliveResponse() {
        return new AliveResponse();
    }

    /**
     * Create an instance of {@link VehicleDetailByVin }
     * 
     */
    public VehicleDetailByVin createVehicleDetailByVin() {
        return new VehicleDetailByVin();
    }

    /**
     * Create an instance of {@link VehicleDetailByVinResponse }
     * 
     */
    public VehicleDetailByVinResponse createVehicleDetailByVinResponse() {
        return new VehicleDetailByVinResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSHeaderType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.cebia.com/iva/service/", name = "WSHeaderType")
    public JAXBElement<WSHeaderType> createWSHeaderType(WSHeaderType value) {
        return new JAXBElement<WSHeaderType>(_WSHeaderType_QNAME, WSHeaderType.class, null, value);
    }

}
